<?php
/*=================================================
   charset=utf-8
   Project:	phpGedView
   File:	configure_help.en.php
   Author:	John Finlay
   Comments:	English Language Configure Help file for PhpGedView
   Change Log:	5/1/03 - File Created
   2005.02.19 "PhpGedView" and "GEDCOM" made consistent across all language files  G.Kroll (canajun2eh)
===================================================*/
# $Id: configure_help.en.php,v 1.177 2005/10/22 11:34:38 canajun2eh Exp $
if (preg_match("/configure_help\...\.php$/", $_SERVER["PHP_SELF"])>0) {
	print "You cannot access a language file directly.";
	exit;
}

$pgv_lang["SHOW_SOURCES"]			= "Show sources";
$pgv_lang["SHOW_SOURCES_help"]		= "Set the privacy access level for all Sources.  If the user does not have access to Sources, the Source list will be removed from the Lists menu and the Sources tab will not be shown on the Individual Details page.";
$pgv_lang["REQUIRE_ADMIN_AUTH_REGISTRATION"]		= "Require an administrator to approve new user registrations";
$pgv_lang["REQUIRE_ADMIN_AUTH_REGISTRATION_help"]	= "If the option <b>#pgv_lang[USE_REGISTRATION_MODULE]#</b> is enabled this setting controls whether the admin must approve the registration.<br /><br />Setting this to <b>Yes</b> will require that all new users first verify themselves and then be approved by an admin before they can login.  With this setting on <b>No</b>, the <b>#pgv_lang[verified_by_admin]#</b> checkbox will be checked automatically when users verify their account, thus allowing an immediate login afterwards without admin intervention.<br /><br />This sets \$REQUIRE_ADMIN_AUTH_REGISTRATION in <i>config.php</i>.";
$pgv_lang["SPLIT_PLACES"]		= "Split places in Edit mode";
$pgv_lang["SPLIT_PLACES_help"]	= "Set this to <b>Yes</b> to split each place name by commas into subfields for easier editing.  Example :<br /><ol><li>Default mode<br /><u>Place</u>: Half Moon Bay, San Mateo, California, USA<br /><br /><li>Split mode<br /><u>Country</u>: USA<br /><u>State</u>: California<br/><u>County</u>: San Mateo<br/><u>City</u>: Half Moon Bay</ol>";
$pgv_lang["ALLOW_REMEMBER_ME"]		= "Show <b>Remember Me</b> option on Login page";
$pgv_lang["ALLOW_REMEMBER_ME_help"]	= "Many sites allow users to choose whether they want to be remembered from the same computer the next time they visit the site.  Enabling this option will put a <b>Remember Me</b> checkbox on the Login page.  When this checkbox is checked, PhpGedView has permission to store a cookie in the user's computer.  This cookie will allow PhpGedView to remember the user between visits from the same remote computer.<br /><br />This sets \$ALLOW_REMEMBER_ME in <i>config.php</i>.";
$pgv_lang["UNDERLINE_NAME_QUOTES"]		= "Underline names in quotes";
$pgv_lang["UNDERLINE_NAME_QUOTES_help"]	= "Many programs will place the preferred given name in \"quotes\" in the GEDCOM.  The usual convention for this is to underline the preferred given name.  Enabling this option will convert any names surrounded by quotes to &lt;span> with a CSS class of \"starredname\".<br /><br />For example, if the name in the GEDCOM were 1&nbsp;NAME&nbsp;Gustave&nbsp;\"Jean&nbsp;Paul\"&nbsp;Charles&nbsp;/Wilson/ enabling this option would change the part of the name enclosed in quotes to &lt;span&nbsp;class=\"starredname\">Jean&nbsp;Paul&lt;/span> for printing purposes.  Depending on other settings, the browser would then display that name as <b>Gustave&nbsp;<u>Jean&nbsp;Paul</u>&nbsp;Charles&nbsp;Wilson</b> or <b>Wilson,&nbsp;Gustave&nbsp;<u>Jean&nbsp;Paul</u> Charles</b><br /><br />This sets \$UNDERLINE_NAME_QUOTES in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["PRIVACY_BY_RESN"]		= "Use GEDCOM (RESN) Privacy restriction";
$pgv_lang["PRIVACY_BY_RESN_help"]	= "The GEDCOM 5.5.1 specification includes the option of using RESN tags to set Privacy options for people and facts in the GEDCOM file.  Enabling this option will tell the program to look for level 1 RESN tags in GEDCOM records.  Level 2+ RESN tags are automatically applied and will not be affected by this setting.  Note that this might slow down some of the functions of PhpGedView such as the Individual list.<br /><br />This sets \$PRIVACY_BY_RESN in <i><u>xxx</u>.GED_priv.php</i>.";
$pgv_lang["SHOW_LDS_AT_GLANCE"]			= "Show LDS ordinance codes in chart boxes";
$pgv_lang["SHOW_LDS_AT_GLANCE_help"]	= "Setting this option to <b>Yes</b> will show status codes for LDS ordinances in chart boxes.<ul><li><b>B</b> - Baptism</li><li><b>E</b> - Endowed</li><li><b>S</b> - Sealed to spouse</li><li><b>P</b> - Sealed to parents</li></ul>A person who has all of the ordinances done will have <b>BESP</b> printed after their name.  Missing ordinances are indicated by <b>_</b> in place of the corresponding letter code.  For example, <b>BE__</b> indicates missing <b>S</b> and <b>P</b> ordinances.<br /><br />This sets \$SHOW_LDS_AT_GLANCE in <i><u>xxx</u>.GED_priv.php</i>.";
$pgv_lang["GEDCOM_DEFAULT_TAB"]			= "Default tab to show on Individual page";
$pgv_lang["GEDCOM_DEFAULT_TAB_help"]	= "This option allows you to choose which tab opens automatically on the Individual page when that page is accessed.<br /><br />This sets \$GEDCOM_DEFAULT_TAB in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["SHOW_MARRIED_NAMES"]			= "Show married names on Individual list";
$pgv_lang["SHOW_MARRIED_NAMES_help"]	= "This option will show the married names of females on the Individual list.  This option requires that you calculate the married names when you import the GEDCOM file.<br /><br />This sets \$SHOW_MARRIED_NAMES in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["SHOW_QUICK_RESN"]		= "Show privacy fields on #pgv_lang[quick_update_title]# form";
$pgv_lang["SHOW_QUICK_RESN_help"]		= "This option allows you to turn on or off the privacy fields on the #pgv_lang[quick_update_title]# form.  Privacy fields allow a user who is adding information through the form to override the default privacy for the fact they are entering.<br /><br />This sets \$SHOW_QUICK_RESN in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["USE_QUICK_UPDATE"]		= "Use #pgv_lang[quick_update_title]# form";
$pgv_lang["USE_QUICK_UPDATE_help"]		= "This option allows logged in users to submit changes through the #pgv_lang[quick_update_title]# form.<br /><br />This sets \$USE_QUICK_UPDATE in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["SEARCHLOG_CREATE"]		= "Archive SearchLog files";
$pgv_lang["SEARCHLOG_CREATE_help"]	= "How often should the program archive Searchlog files.<br /><br />This sets \$SEARCHLOG_CREATE in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["CHART_BOX_TAGS"]		= "Other facts to show in charts";
$pgv_lang["CHART_BOX_TAGS_help"]		= "This should be a comma or space separated list of facts, in addition to Birth and Death, that you want to appear in chart boxes such as the Pedigree chart.  This list requires you to use fact tags as defined in the GEDCOM 5.5.1 Standard.  For example, if you wanted the occupation to show up in the box, you would add \"OCCU\" to this field.<br /><br />This sets \$CHART_BOX_TAGS in <i><u>xxx</u>.GED_conf.php</i>.";

//-- CONFIGURE FILE MESSAGES
$pgv_lang["configure"]			= "Configure PhpGedView";
$pgv_lang["standard_conf"]		= "Standard Configuration Options";
$pgv_lang["advanced_conf"]		= "Advanced Configuration Options";
$pgv_lang["gedcom_conf"]		= "GEDCOM Basics";
$pgv_lang["media_conf"]			= "Multimedia";
$pgv_lang["accpriv_conf"]		= "Access and Privacy";
$pgv_lang["displ_conf"]			= "Display and Layout";
$pgv_lang["displ_names_conf"]	= "Names";
$pgv_lang["displ_comsurn_conf"] = "Common Surnames";
$pgv_lang["displ_layout_conf"]	= "Layout";
$pgv_lang["displ_hide_conf"]	= "Hide & Show";
$pgv_lang["useropt_conf"]		= "User Options";
$pgv_lang["contact_conf"]		= "Contact Information";
$pgv_lang["meta_conf"]			= "Web Site & META Tag Settings";
$pgv_lang["configure_head"]		= "PhpGedView Configuration";
$pgv_lang["gedconf_head"]		= "GEDCOM Configuration";
$pgv_lang["default_user"]		= "Create the default administrative user.";
$pgv_lang["about_user"]			= "You must first create your main administrative user.  This user will have privileges to update the configuration files, view private data, and create other users.";
$pgv_lang["can_admin"]			= "User can administer";
$pgv_lang["can_edit"]			= "Access level";
$pgv_lang["access"]				= "Access";
$pgv_lang["accept"]				= "Accept";
$pgv_lang["add_user"]			= "Add a new user";
$pgv_lang["current_users"]		= "Current User List";
$pgv_lang["leave_blank"]		= "Leave password blank if you want to keep the current password.";
$pgv_lang["other_theme"]		= "Other, please type in";
$pgv_lang["performing_update"]		= "Performing update.";
$pgv_lang["config_file_read"]		= "Config file read.";
$pgv_lang["does_not_exist"]		= "does not exist";
$pgv_lang["media_drive_letter"]		= "Media path should not contain a drive letter; media may not be displayed.";
$pgv_lang["pgv_config_write_error"] 		= "Error!!! Cannot write to the PhpGedView configuration file.  Please check file and directory permissions and try again.";
$pgv_lang["db_setup_bad"]		= "Your current database configuration is bad.  Please check your database connection parameters and configure again.";
$pgv_lang["bad_host_user_pass"]		= "PhpGedView was unable to make a connection to your database host.  Check the host, username, and password to make sure they are correct.";
$pgv_lang["bad_database_name"]		= "PhpGedView made a connection to your database host, but was unable to use the database with the name you entered.  Check that the database exists and that the username you entered has the appropriate permissions on that database.";
$pgv_lang["click_here_to_continue"]	= "Click here to continue.";
$pgv_lang["config_help"]		= "Configuration Help";
$pgv_lang["index"]			= "Index files";
$pgv_lang["mysql"]			= "MySQL";
$pgv_lang["db"]				= "Database";
$pgv_lang["dbase"]			= "dBase";
$pgv_lang["fbsql"]			= "FrontBase";
$pgv_lang["ibase"]			= "InterBase";
$pgv_lang["ifx"]			= "Informix";
$pgv_lang["msql"]			= "Mini SQL";
$pgv_lang["mssql"]			= "Microsoft SQL server";
$pgv_lang["mysqli"]			= "MySQL 4.1+ and PHP 5";
$pgv_lang["oci8"]			= "Oracle 7+";
$pgv_lang["pgsql"]			= "PostgreSQL";
$pgv_lang["sqlite"]			= "SQLite";
$pgv_lang["sybase"]			= "Sybase";
$pgv_lang["admin_gedcoms"]		= "Click here to administer GEDCOMS.";
$pgv_lang["current_gedcoms"]		= "Current GEDCOMs";
$pgv_lang["gedcom_adm_head"]	= "GEDCOM Administration";
$pgv_lang["ged_download"]		= "Download";
$pgv_lang["ged_gedcom"]			= "GEDCOM file";
$pgv_lang["ged_title"]			= "GEDCOM title";
$pgv_lang["ged_config"]			= "Configuration file";
$pgv_lang["ged_search"]			= "SearchLog files";
$pgv_lang["ged_privacy"]		= "Privacy file";
$pgv_lang["show_phpinfo"]		= "Show PHPInfo page";
$pgv_lang["confirm_gedcom_delete"]	= "Are you sure you want to delete this GEDCOM";
$pgv_lang["gregorian"]			= "Gregorian";
$pgv_lang["julian"]			= "Julian";
$pgv_lang["config_french"]		= "French";
$pgv_lang["jewish"]			= "Jewish";
$pgv_lang["config_hebrew"]		= "Hebrew";
$pgv_lang["jewish_and_gregorian"]	= "Jewish and Gregorian";
$pgv_lang["hebrew_and_gregorian"]	= "Hebrew and Gregorian";
$pgv_lang["hijri"]				= "Hijri";
$pgv_lang["arabic_cal"]				= "Arabic";
$pgv_lang["disabled"]			= "Disabled";
$pgv_lang["mouseover"]			= "On Mouse Over";
$pgv_lang["mousedown"]			= "On Mouse Down";
$pgv_lang["click"]			= "On Mouse Click";
$pgv_lang["mailto"]			= "Mailto link";
$pgv_lang["messaging"]			= "PhpGedView internal messaging";
$pgv_lang["messaging2"]			= "Internal messaging with emails";
$pgv_lang["messaging3"]			= "PhpGedView sends emails with no storage";
$pgv_lang["no_messaging"]		= "No contact method";
$pgv_lang["no_logs"]			= "Disable logging";
$pgv_lang["daily"]			= "Daily";
$pgv_lang["weekly"]			= "Weekly";
$pgv_lang["monthly"]			= "Monthly";
$pgv_lang["yearly"]			= "Yearly";
$pgv_lang["enter_db_pass"]		= "For security, you must enter the #pgv_lang[DBUSER]# and #pgv_lang[DBPASS]# before changing configuration values.";
$pgv_lang["config_still_writable"]	= "Your <i>config.php</i> file is still writable.  For security, you should set the permissions of this file back to read-only when you have finished configuring your site.";
$pgv_lang["admin_verification_waiting"] = "User accounts awaiting verification by admin";
$pgv_lang["DEFAULT_GEDCOM"]		= "Default GEDCOM";
$pgv_lang["privileges"]			= "Privileges";
$pgv_lang["date_registered"]	= "Date registered";
$pgv_lang["last_login"]			= "Last logged in";
$pgv_lang["server_url_note"]	= "This should be the URL to your PhpGedView folder.  You should only change this setting if you are sure you know what you are doing.  PhpGedView has determined this value to be <b>#GUESS_URL#</b>";

$pgv_lang["PGV_DATABASE"]		= "PhpGedView DataStore";
$pgv_lang["PGV_DATABASE_help"]		= "This tells PhpGedView what type of datastore you want to use for the GEDCOM files you import into the system.  Select <b>#pgv_lang[index]#</b> to use index files stored in the index directory, or select <b>#pgv_lang[db]#</b> to use a database like MySQL.  If your server is using PHP 5, you should use the SQLite database instead of Index files; you will get much better performance.<br /><br />This sets \$PGV_DATABASE in <i>config.php</i>.";
$pgv_lang["DBTYPE"]			= "Database Type";
$pgv_lang["DBTYPE_help"]		= "The type of PEAR supported database to connect to.<br /><br />PhpGedView supports MySQL, PostgreSQL, and SQLite databases.  MySQL and PostgreSQL both require libraries to be installed in PHP.  SQLite comes installed by default in PHP 5.<br /><br />With SQLite you don't need to configure #pgv_lang[DBHOST]#, #pgv_lang[DBUSER]#, or #pgv_lang[DBPASS]#, but you will need to set a file path for your database in the #pgv_lang[DBNAME]# field.<br /><br />This sets \$DBTYPE in <i>config.php</i>.";
$pgv_lang["DBHOST"]			= "Database Host";
$pgv_lang["DBHOST_help"]		= "The DNS or IP address of the computer hosting your database server.  This setting is ignored if you are using an SQLite database.<br /><br />This sets \$DBHOST in <i>config.php</i>.";
$pgv_lang["DBUSER"]			= "Database Username";
$pgv_lang["DBUSER_help"]		= "The database username required to login to your database.  This setting is ignored if you are using an SQLite database.<br /><br />This sets \$DBUSER in <i>config.php</i>.";
$pgv_lang["DBPASS"]			= "Database Password";
$pgv_lang["DBPASS_help"]		= "The database password for the user you entered in the #pgv_lang[DBUSER]# field.  This setting is ignored if you are using an SQLite database.<br /><br />This sets \$DBPASS in <i>config.php</i>.";
$pgv_lang["DBNAME"]			= "Database Name";
$pgv_lang["DBNAME_help"]		= "The database in the server you want PhpGedView to use.<br /><br />The username you enter in the #pgv_lang[DBUSER]# field must have Create, Insert, Update, Delete, and Select privileges on this database.  In SQLite you need to set this to a file name in a directory that is writable by PHP such as your index directory (index/phpgedview.db).<br /><br />This sets \$DBNAME in <i>config.php</i>.";
$pgv_lang["TBLPREFIX"]			= "Database Table Prefix";
$pgv_lang["TBLPREFIX_help"]		= "A prefix to prepend to the tables created by PhpGedView.  By changing this value you can set up multiple PhpGedView sites to use the same physical database but different tables.  For example, the same site could host a \"test\" as well as a \"production\" installation of PhpGedView with completely independent data tables.<br /><br />This sets \$TBLPREFIX in <i>config.php</i>.";
$pgv_lang["ALLOW_CHANGE_GEDCOM"]	= "Allow GEDCOM switching";
$pgv_lang["ALLOW_CHANGE_GEDCOM_help"]	= "If you have an environment with multiple GEDCOMs, setting this value to <b>Yes</b> allows your site visitors <u>and</u> users to have the option of changing GEDCOMs.  Setting it to <b>No</b> disables GEDCOM switching for both visitors <u>and</u> logged in users.<br /><br />This sets \$ALLOW_CHANGE_GEDCOM in <i>config.php</i>.";
$pgv_lang["gedcom_path"]			= "GEDCOM path and name";
$pgv_lang["gedcom_path_help"]		= "First upload your GEDCOM file to a location accessible by PhpGedView on your server.  Then enter the path and file name like: <b>./index/name.ged</b>.<br /><br />See the <a href=\"readme.txt\">Readme.txt</a> file for more information.";
$pgv_lang["CHARACTER_SET"]		= "Character Set encoding";
$pgv_lang["CHARACTER_SET_help"]		= "This is the character set of your GEDCOM file.  UTF-8 is the default and should work for almost all sites.  If you export your GEDCOM using IBM Windows encoding, you should put WINDOWS here.<br /><br />NOTE: PhpGedView can't support UNICODE (UTF-16) because the support is missing in PHP.  Please address your complaints to the PHP folks.";
$pgv_lang["LANGUAGE"]			= "Language";
$pgv_lang["LANGUAGE_help"]		= "Assign the default language for the site.<br /><br />When the <b>#pgv_lang[ENABLE_MULTI_LANGUAGE]#</b> option is set, users can override this setting through their browser's preferred language configuration, configuration options on their Account page, or through links or buttons on most PhpGedView pages.";
$pgv_lang["ENABLE_MULTI_LANGUAGE"]	= "Allow user to change language";
$pgv_lang["ENABLE_MULTI_LANGUAGE_help"]	= "Set to <b>Yes</b> to allow users to override the site's default language.  They can do this through their browser's preferred language configuration, configuration options on their Account page, or through links or buttons on most PhpGedView pages.";
$pgv_lang["CALENDAR_FORMAT"]		= "Calendar format";
$pgv_lang["CALENDAR_FORMAT_help"]	= "This option allows you to specify the type of calendar you would like to use with this GEDCOM file.<br /><br />Hebrew is the same as the Jewish calendar but using Hebrew characters.<br /><br />Note: The values used for Jewish and Hebrew dates are calculated from the Gregorian or Julian dates.  Since the Jewish calendar day starts at dusk, any event taking place from dusk till midnight will display as one day prior to the correct Jewish date.  The display of Hebrew can be problematic in old browsers, which may display Hebrew backwards (left to right) or not at all.";
$pgv_lang["DISPLAY_JEWISH_THOUSANDS"]	= "Display Hebrew Thousands";
$pgv_lang["DISPLAY_JEWISH_THOUSANDS_help"]	= "Show Alafim in Hebrew calendars.<br /><br />Setting this to <b>Yes</b> will display the year 1969 as <span lang=\"he-IL\" dir='rtl'>&#1492;'&#160;&#1514;&#1513;&#1499;&quot;&#1496;</span>&lrm; while setting it to <b>No</b> will display the year as <span lang=\"he-IL\" dir='rtl'>&#1514;&#1513;&#1499;&quot;&#1496;</span>&lrm;.  This has no impact on the Jewish year setting.  The year will display as 5729 regardless of this setting.<br /><br />This sets \$DISPLAY_JEWISH_THOUSANDS in <i><u>xxx</u>.GED_conf.php</i>.<br /><br />Note: This setting is similar to the PHP 5.0 Calendar constant CAL_JEWISH_ADD_ALAFIM.";
$pgv_lang["DISPLAY_JEWISH_GERESHAYIM"]		= "Display Hebrew Gershayim";
$pgv_lang["DISPLAY_JEWISH_GERESHAYIM_help"]	= "Show single and double quotes when displaying Hebrew dates.<br /><br />Setting this to <b>Yes</b> will display February 8 1969 as <span lang='he-IL' dir='rtl'>&#1499;'&#160;&#1513;&#1489;&#1496;&#160;&#1514;&#1513;&#1499;&quot;&#1496;</span>&lrm, while setting it to <b>No</b> will display it as <span lang='he-IL' dir='rtl'>&#1499;&#160;&#1513;&#1489;&#1496;&#160;&#1514;&#1513;&#1499;&#1496;</span>&lrm;.  This has no impact on the Jewish year setting since quotes are not used in Jewish dates displayed with Latin characters.<br /><br />This sets \$DISPLAY_JEWISH_GERESHAYIM in <i><u>xxx</u>.GED_conf.php</i>.<br /><br />Note: This setting is similar to the PHP 5.0 Calendar constants CAL_JEWISH_ADD_ALAFIM_GERESH and CAL_JEWISH_ADD_GERESHAYIM.  This single setting affects both.";
$pgv_lang["JEWISH_ASHKENAZ_PRONUNCIATION"]	= "Jewish Ashkenaz pronunciation";
$pgv_lang["JEWISH_ASHKENAZ_PRONUNCIATION_help"]	= "Use Jewish Ashkenazi pronunciations.<br /><br />When set to <b>Yes</b> the months Cheshvan and Teves will be spelled with Ashkenazi pronunciation.  Setting it to <b>No</b> will change the months to Hesvan and Tevet.  This only affects the Jewish setting.  The Hebrew setting will always use the Hebrew alphabet.<br /><br />This sets \$JEWISH_ASHKENAZ_PRONUNCIATION in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["USE_RTL_FUNCTIONS"]	= "Use RTL processing";
$pgv_lang["USE_RTL_FUNCTIONS_help"]	= "Use processing to properly display GEDCOM data in RTL languages.  If set to <b>Yes</b> the database will be processed at runtime to ensure proper display of RTL data; this setting can slow down performance.<br /><br />This sets \$USE_RTL_FUNCTIONS in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["DEFAULT_PEDIGREE_GENERATIONS"]	= "Pedigree generations";
$pgv_lang["DEFAULT_PEDIGREE_GENERATIONS_help"]	= "Set the default number of generations to display on Pedigree charts.";
$pgv_lang["MAX_PEDIGREE_GENERATIONS"]		= "Maximum Pedigree generations";
$pgv_lang["MAX_PEDIGREE_GENERATIONS_help"]	= "Set the maximum number of generations to display on Pedigree charts.";
$pgv_lang["MAX_DESCENDANCY_GENERATIONS"]	= "Maximum Descendancy generations";
$pgv_lang["MAX_DESCENDANCY_GENERATIONS_help"]	= "Set the maximum number of generations to display on Descendancy charts.";
$pgv_lang["USE_RIN"]			= "Use RIN# instead of GEDCOM ID";
$pgv_lang["USE_RIN_help"]		= "Set to <b>Yes</b> to use the RIN number instead of the GEDCOM ID when asked for Individual IDs in configuration files, user settings, and charts.  This is useful for genealogy programs that do not consistently export GEDCOMs with the same ID assigned to each individual but always use the same RIN.";
$pgv_lang["PEDIGREE_ROOT_ID"]		= "Default person for Pedigree and Descendancy charts";
$pgv_lang["PEDIGREE_ROOT_ID_help"]	= "Set the ID of the default person to display on Pedigree and Descendancy charts.";
$pgv_lang["GEDCOM_ID_PREFIX"]		= "GEDCOM&nbsp;ID prefix";
$pgv_lang["GEDCOM_ID_PREFIX_help"]	= "Add this prefix to unprefixed IDs entered by users in response to ID prompts on Pedigree, Descendancy, Relationship, and other charts.";
$pgv_lang["FAM_ID_PREFIX"]		= "Family&nbsp;ID prefix";
$pgv_lang["FAM_ID_PREFIX_help"]	= "When a new family record is added online in PhpGedView, a new ID for that family will be generated automatically.  The family ID will have this prefix.";
$pgv_lang["SOURCE_ID_PREFIX"]		= "Source&nbsp;ID prefix";
$pgv_lang["SOURCE_ID_PREFIX_help"]	= "When a new source record is added online in PhpGedView, a new ID for that source will be generated automatically.  The source ID will have this prefix.";
$pgv_lang["REPO_ID_PREFIX"]		= "Repository&nbsp;ID prefix";
$pgv_lang["REPO_ID_PREFIX_help"]	= "When a new repository record is added online in PhpGedView, a new ID for that repository will be generated automatically. The repository ID will have this prefix.";
$pgv_lang["PEDIGREE_FULL_DETAILS"]	= "Show Birth and Death details on Pedigree and Descendancy charts";
$pgv_lang["PEDIGREE_FULL_DETAILS_help"]	= "This option controls whether or not to show the Birth and Death details of an individual by default.";
$pgv_lang["PEDIGREE_LAYOUT"]		= "Default Pedigree chart layout";
$pgv_lang["PEDIGREE_LAYOUT_help"]	= "This option indicates whether the Pedigree chart should be generated in landscape or portrait mode.";
$pgv_lang["SHOW_EMPTY_BOXES"]		= "Show empty boxes on Pedigree charts";
$pgv_lang["SHOW_EMPTY_BOXES_help"]	= "This option controls whether or not to show empty boxes on Pedigree charts.";
$pgv_lang["ZOOM_BOXES"]			= "Zoom boxes on charts";
$pgv_lang["ZOOM_BOXES_help"]		= "Allows a user to zoom boxes on charts to get more information.<br /><br />Set to <b>#pgv_lang[disabled]#</b> to disable this feature.  Set to <b>#pgv_lang[mouseover]#</b> to zoom boxes when the user mouses over the icon in the box.  Set to <b>#pgv_lang[click]#</b> to zoom boxes when the user clicks on the icon in the box.";
$pgv_lang["LINK_ICONS"]			= "PopUp links on charts";
$pgv_lang["LINK_ICONS_help"]		= "Allows the user to select links to other charts and close relatives of the person.<br /><br />Set to <b>#pgv_lang[disabled]#</b> to disable this feature.  Set to <b>#pgv_lang[mouseover]#</b> to popup the links when the user mouses over the icon in the box.  Set to <b>#pgv_lang[click]#</b> to popup the links when the user clicks on the icon in the box.";
$pgv_lang["ABBREVIATE_CHART_LABELS"]			= "Abbreviate chart labels";
$pgv_lang["ABBREVIATE_CHART_LABELS_help"]		= "This option controls whether or not to abbreviate labels like \"Birth\" on charts with just the first letter like \"B\".";
$pgv_lang["SHOW_PARENTS_AGE"]			= "Show age of parents next to child's birthdate";
$pgv_lang["SHOW_PARENTS_AGE_help"]		= "This option controls whether or not to show age of father and mother next to child's birthdate on charts";
$pgv_lang["AUTHENTICATION_MODULE"]	= "Authentication Module file";
$pgv_lang["AUTHENTICATION_MODULE_help"]	= "File from which to load authentication functions.  By implementing the functions in this file, administrators can customize PhpGedView to use a different method to authenticate users and store users in a different user database.<br /><br />This sets \$AUTHENTICATION_MODULE in <i>config.php</i>.<br /><br />If you have implemented an alternate authentication method, please share it with the PhpGedView development team.";
$pgv_lang["HIDE_LIVE_PEOPLE"]		= "Enable Privacy";
$pgv_lang["HIDE_LIVE_PEOPLE_help"]	= "This option will enable all privacy settings and hide the details of living people.<br /><br />Living people are defined to be those who do not have an event more recent than the number of years specified in variable \$MAX_ALIVE_AGE.  For this purpose, births of children are considered to be such events as well.";
$pgv_lang["REQUIRE_AUTHENTICATION"]	= "Require visitor authentication";
$pgv_lang["REQUIRE_AUTHENTICATION_help"]	= "Enabling this option will force all visitors to login before they can view any data on the site.";
$pgv_lang["WELCOME_TEXT_AUTH_MODE"]	= "Welcome text on Login page in Authentication mode";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_help"]	= "Here you can choose text to appear on the login screen when authentication mode is set to <b>Yes</b>. You must determine which predefined text is most appropriate.  You can also choose to enter your own custom Welcome text, but the text you enter will not be translated when your users change language.<br /><br />The predefined texts are:<ul><li><b>#pgv_lang[WELCOME_TEXT_AUTH_MODE_OPT1]#:</b><div class=\"list_value_wrap\">#pgv_lang[welcome_text_auth_mode_1]#</div><br/></li><li><b>#pgv_lang[WELCOME_TEXT_AUTH_MODE_OPT2]#:</b><div class=\"list_value_wrap\">#pgv_lang[welcome_text_auth_mode_2]#</div><br/></li><li><b>#pgv_lang[WELCOME_TEXT_AUTH_MODE_OPT3]#:</b><div class=\"list_value_wrap\">#pgv_lang[welcome_text_auth_mode_3]#</div></li></ul>";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_OPT1"]	= "Predefined text that states all users can request a user account";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_OPT2"]	= "Predefined text that states admin will decide on each request for a user account";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_OPT3"]	= "Predefined text that states only family members can request a user account";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_OPT4"]	= "Choose user defined welcome text typed below";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_CUST"]	= "Custom Welcome text for Authentication mode";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_CUST_help"]	= "If you have opted for custom Welcome text, you can type that text here.  The text will NOT be translated into the language of the visitor, but will be shown exactly as you typed it.<br /><br />If you wish, you can use HTML tags in the text.";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_CUST_HEAD"] = "Standard header for custom Welcome text";
$pgv_lang["WELCOME_TEXT_AUTH_MODE_CUST_HEAD_help"] = "Choose to display a standard header for your custom Welcome text.  When your users change language, this header will appear in the new language.<br /><br />If set to <b>Yes</b>, the header will look look this:<div class=\"list_value_wrap\">#pgv_lang[welcome_text_cust_head]#</div>";
$pgv_lang["CHECK_CHILD_DATES"]		= "Check child dates";
$pgv_lang["CHECK_CHILD_DATES_help"]	= "Check children's dates when determining whether a person is dead.  On older systems and large GEDCOMs this can slow down the response time of your site.";
$pgv_lang["MAX_ALIVE_AGE"]		= "Age at which to assume a person is dead";
$pgv_lang["MAX_ALIVE_AGE_help"]		= "If this person has any events other than Death, Burial, or Cremation more recent than this number of years, he is considered to be \"alive\".  Children's birth dates are considered to be such events for this purpose.";
$pgv_lang["SHOW_GEDCOM_RECORD"]		= "Allow users to see raw GEDCOM records";
$pgv_lang["SHOW_GEDCOM_RECORD_help"]	= "Setting this to <b>Yes</b> will place links on individuals, sources, and families to let users bring up another window containing the raw data taken right out of the GEDCOM file.";
$pgv_lang["ALLOW_EDIT_GEDCOM"]		= "Enable online editing";
$pgv_lang["ALLOW_EDIT_GEDCOM_help"]	= "This option enables online editing features for this database so that users with Edit privileges may update data online.";
$pgv_lang["INDEX_DIRECTORY"]		= "Index file directory";
$pgv_lang["INDEX_DIRECTORY_help"]	= "The path to a readable and writable directory where PhpGedView should store index files (include the trailing \"/\").<br /><br />This sets \$INDEX_DIRECTORY in <i>config.php</i>.";
$pgv_lang["ALPHA_INDEX_LISTS"]		= "Break up long lists by the first letter";
$pgv_lang["ALPHA_INDEX_LISTS_help"]	= "For very long Individual and Family lists, set this to <b>Yes</b> to split the list into pages by the first letter of their last name.";
$pgv_lang["NAME_FROM_GEDCOM"]		= "Get display name from GEDCOM";
$pgv_lang["NAME_FROM_GEDCOM_help"]	= "By default PhpGedView uses the name stored in the indexes to get a person's name.  With some GEDCOM formats and languages, the sortable name stored in the indexes does not get displayed properly and the best way to get the correct display name is from the GEDCOM.<br /><br />Spanish names are a good example of this.  A Spanish name can take the form (Given Names) (Father's Surname) (Mother's Surname).  Using the Indexes for sorting and display, the name would display like this: (Given Names) (Mother's Surname) (Father's Surname), which is incorrect.  Going back to the GEDCOM for the name will return the correct name.  However, retrieving the name from the GEDCOM will slow the program down.";
$pgv_lang["SHOW_ID_NUMBERS"]		= "Show ID numbers next to names";
$pgv_lang["SHOW_ID_NUMBERS_help"]	= "This option controls whether or not to show ID numbers in parentheses after person names on charts.";
$pgv_lang["SHOW_FAM_ID_NUMBERS"]		= "Show ID numbers next to families";
$pgv_lang["SHOW_FAM_ID_NUMBERS_help"]	= "This option controls whether or not to show family ID numbers in parentheses after family names on charts and on the Individual page.";
$pgv_lang["SHOW_PEDIGREE_PLACES"]	= "Place levels to show in person boxes";
$pgv_lang["SHOW_PEDIGREE_PLACES_help"]	= "This sets how much of the place information is shown in the person boxes on charts.<br /><br />Setting the value to 9 will guarantee to show all place levels.  Setting the value to 0 will hide places completely.  Setting the value to 1 will show the first level, setting it to 2 will show the first two levels, etc.";
$pgv_lang["MULTI_MEDIA"]		= "Enable multimedia features";
$pgv_lang["MULTI_MEDIA_help"]		= "GEDCOM 5.5.1 allows you to link pictures, videos, and other multimedia objects into your GEDCOM.  If you do not include multimedia objects in your GEDCOM, you can disable the multimedia features by setting this value to <b>No</b>.<br /><br />See the Multimedia section in the <a href=\"readme.txt\">readme.txt</a> file for more information about including media in your site.";
$pgv_lang["MULTI_MEDIA_DB"]		= "Enable multimedia controlled by database";
$pgv_lang["MULTI_MEDIA_DB_help"]		= "If your exported GEDCOM file does not contain images, you can control the website images using this option. Media items are injected into a freshly exported GEDCOM file, keeping all the links from before.";
$pgv_lang["MEDIA_EXTERNAL"]			= "Keep links";
$pgv_lang["MEDIA_EXTERNAL_help"]	= "When a multimedia link is found starting with for example http://, ftp://, mms:// it will not be altered when set to <b>Yes</b>. For example: http://www.myfamily.com/photo/dad.jpg will stay http://www.myfamily.com/photo/dad.jpg.  When set to <b>No</b>, the link will be handled as a standard reference and the media depth will be used.  For example: http://www.myfamily.com/photo/dad.jpg will be changed to ./media/dad.jpg";
$pgv_lang["MEDIA_DIRECTORY"]		= "MultiMedia directory";
$pgv_lang["MEDIA_DIRECTORY_help"]	= "The media path must be a relative path within the PhpGedView website, like ./media/ (include the trailing \"/\").";
$pgv_lang["MEDIA_DIRECTORY_LEVELS"]	= "Multi-Media directory levels to keep";
$pgv_lang["MEDIA_DIRECTORY_LEVELS_help"]	= "A value of 0 will ignore all directories in the file path for the media object.  A value of 1 will retain the first directory containing this image.  Increasing the numbers increases number of parent directories to retain in the path.<br /><br />For example, if you link an image in your GEDCOM with a path like <b>C:\\Documents&nbsp;and&nbsp;Settings\\User\\My&nbsp;Documents\\My&nbsp;Pictures\\Genealogy\\Surname&nbsp;Line\\grandpa.jpg</b>, a value of 0 will translate this path to <b>./media/grandpa.jpg</b>.  A value of 1 will translate this to <b>./media/Surname&nbsp;Line/grandpa.jpg</b>, etc.  Most people will only need to use a 0.  However, it is possible that some media objects kept in different directories have identical names and would overwrite each other when this option is set to 0.  Non-zero settings allow you to keep some organization in your media thereby preventing name collisions.";
$pgv_lang["SHOW_HIGHLIGHT_IMAGES"]	= "Show highlight images in people boxes";
$pgv_lang["SHOW_HIGHLIGHT_IMAGES_help"]	= "If you have enabled multimedia in your site, you can have PhpGedView display a thumbnail image next to the person's name in charts and boxes.<br /><br />Currently, PhpGedView uses the first multimedia object listed in the GEDCOM record as the highlight image.  For people with multiple images, you should arrange the multimedia objects such that the one you wish to be highlighted appears first, before any others.<br /><br />See the Multimedia section in the <a href=\"readme.txt\">readme.txt</a> file for more information about including media in your site.";
$pgv_lang["USE_THUMBS_MAIN"]	= "Use thumbnail for main picture on Individual page";
$pgv_lang["USE_THUMBS_MAIN_help"]	= "Depending on how you want to store your images, it may be better for you to use thumbnails for the picture next to the name on the Individual page.  If your main images are very large, they can take a long time to download and if your thumbnails are high enough quality they could be used in place of the full resolution image.  Set this item to <b>Yes</b> to use thumbnails or leave it as <b>No</b> to use the full resolution image.";
$pgv_lang["ENABLE_CLIPPINGS_CART"]	= "Enable Clippings Cart";
$pgv_lang["ENABLE_CLIPPINGS_CART_help"]	= "The clippings cart allows users to add people to a temporary file that they can download in GEDCOM format for subsequent import into their genealogy software.";
$pgv_lang["HIDE_GEDCOM_ERRORS"]		= "Hide GEDCOM errors";
$pgv_lang["HIDE_GEDCOM_ERRORS_help"]	= "Setting this to <b>Yes</b> will hide error messages produced by PhpGedView when it doesn't understand a tag in your GEDCOM file.  PhpGedView makes every effort to conform to the GEDCOM 5.5.1 standard, but many genealogy software programs include their own custom tags.  See the <a href=\"readme.txt\">readme.txt</a> file for more information.";
$pgv_lang["WORD_WRAPPED_NOTES"]		= "Add spaces where notes were wrapped";
$pgv_lang["WORD_WRAPPED_NOTES_help"]	= "Some genealogy programs wrap notes at word boundaries while others wrap notes anywhere.  This can cause PhpGedView to run words together.  Setting this to <b>Yes</b> will add a space between words where they are wrapped in the original GEDCOM.";
$pgv_lang["SHOW_CONTEXT_HELP"]		= "Show contextual <b>?</b> Help links";
$pgv_lang["SHOW_CONTEXT_HELP_help"]	= "This option will enable links, identified by question marks, next to items on many pages.  These links allow users to get information or help about those items.";
$pgv_lang["COMMON_NAMES_THRESHOLD"]	= "Min. no. of occurrences to be a \"Common Surname\"";
$pgv_lang["COMMON_NAMES_THRESHOLD_help"]	= "This is the number of times that a surname must occur before it shows up in the Common Surname list on the Welcome page.";
$pgv_lang["COMMON_NAMES_ADD"]	= "Names to add to Common Surnames (comma separated)";
$pgv_lang["COMMON_NAMES_ADD_help"]	= "If the number of times that a certain surname occurs is lower than the threshold, it will not appear in the list.  It can be added here manually.  If more than one surname is entered, they must be separated by a comma.  <b>Surnames are case-sensitive.</b>";
$pgv_lang["COMMON_NAMES_REMOVE"]	= "Names to remove from Common Surnames (comma separated)";
$pgv_lang["COMMON_NAMES_REMOVE_help"]	= "If you want to remove a surname from the Common Surname list without increasing the threshold value, you can do that by entering the surname here.  If more than one surname is entered, they must be separated by a comma. <b>Surnames are case-sensitive.</b>  Surnames entered here will also be removed from the Top-10 list on the Welcome page.";
$pgv_lang["HOME_SITE_URL"]		= "Main WebSite URL";
$pgv_lang["HOME_SITE_URL_help"]		= "Each PhpGedView page includes a link to your main Home page.  The appearance of this link is controlled by the theme being used.  You enter the actual URL to your Home site here.";
$pgv_lang["HOME_SITE_TEXT"]		= "Main WebSite text";
$pgv_lang["HOME_SITE_TEXT_help"]	= "The legend used to identify the link to your main Home page.";
$pgv_lang["CONTACT_EMAIL"]		= "Genealogy contact";
$pgv_lang["CONTACT_EMAIL_help"]		= "The person to contact about the genealogical data on this site.";
$pgv_lang["CONTACT_METHOD"]		= "Contact method";
$pgv_lang["CONTACT_METHOD_help"]	= "The method to be used to contact the #pgv_lang[CONTACT_EMAIL]# about genealogy questions.<ul><li>The <b>#pgv_lang[mailto]#</b> option will create a \"mailto\" link that can be clicked to send an email using the mail client on the user's PC.</li><br /><li>The <b>#pgv_lang[messaging]#</b> option will use a messaging system internal to PhpGedView, and no emails will be sent.</li><br /><li>The <b>#pgv_lang[messaging2]#</b> option is the default.  It will use the PhpGedView messaging system and will also send copies of the messages via email.</li><br /><li>The <b>#pgv_lang[messaging3]#</b> option allows PhpGedView to handle the messaging and will send the messages as emails, but will not store the messages internally.  This option is similar to the <b>#pgv_lang[mailto]#</b> option, except that the message will be sent by PhpGedView instead of the user's workstation.</li><br /><li>The <b>#pgv_lang[no_messaging]#</b> option results in your users having no way of contacting you.</li></ul>";
$pgv_lang["WEBMASTER_EMAIL"]		= "Support contact";
$pgv_lang["WEBMASTER_EMAIL_help"]	= "The person to be contacted about technical questions or errors encountered on your site.";
$pgv_lang["SUPPORT_METHOD"]		= "Support method";
$pgv_lang["SUPPORT_METHOD_help"]	= "The method to be used to contact the #pgv_lang[WEBMASTER_EMAIL]# about technical questions.<ul><li>The <b>#pgv_lang[mailto]#</b> option will create a \"mailto\" link that can be clicked to send an email using the mail client on the user's PC.</li><br /><li>The <b>#pgv_lang[messaging]#</b> option will use a messaging system internal to PhpGedView, and no emails will be sent.</li><br /><li>The <b>#pgv_lang[messaging2]#</b> option is the default.  It will use the PhpGedView messaging system and will also send copies of the messages via email.</li><br /><li>The <b>#pgv_lang[messaging3]#</b> option allows PhpGedView to handle the messaging and will send the messages as emails, but will not store the messages internally.  This option is similar to the <b>#pgv_lang[mailto]#</b> option, except that the message will be sent by PhpGedView instead of the user's workstation.</li><br /><li>The <b>#pgv_lang[no_messaging]#</b> option results in your users having no way of contacting you.</li></ul>";
$pgv_lang["FAVICON"]			= "Favorites icon";
$pgv_lang["FAVICON_help"]		= "Change this to point to the icon you want to display in peoples' favorites menu when they bookmark your site.";
$pgv_lang["THEME_DIR"]			= "Theme directory";
$pgv_lang["THEME_DIR_help"]		= "The directory where your PhpGedView theme files are kept.<br /><br />You may customize any of the standard themes that come with PhpGedView to give your site a unique look and feel.  See the Theme Customization section of the <a href=\"readme.txt\">readme.txt</a> file for more information.";
$pgv_lang["TIME_LIMIT"]			= "PHP time limit";
$pgv_lang["TIME_LIMIT_help"]		= "The maximum time in seconds that PhpGedView should be allowed to run.<br /><br />The default is 1 minute.  Depending on the size of your GEDCOM file, you may need to increase this time limit when you need to build the indexes.  Set this value to 0 to allow PHP to run forever.<br /><br />CAUTION: Setting this to 0 or setting it too high could cause your site to hang on certain operating systems until the script finishes.  Setting it to 0 means it may never finish until a server administrator kills the process or restarts the server.  A large Pedigree chart can take a very long time to run; leaving this value as low as possible ensures that someone cannot crash your server by requesting an excessively large chart.";
$pgv_lang["PGV_SESSION_SAVE_PATH"]	= "Session save path";
$pgv_lang["PGV_SESSION_SAVE_PATH_help"]	= "The path to store PhpGedView session files.<br /><br />Some hosts do not have PHP configured properly and sessions are not maintained between page requests.  This option lets site administrators overcome that problem by saving files in one of their local directories.  The ./index/ directory is a good choice if you need to change this.  The default is to leave the field empty, which will use the Save path as configured in <i>php.ini</i>.<br /><br />This sets \$PGV_SESSION_SAVE_PATH in <i>config.php</i>.";
$pgv_lang["SERVER_URL"]			= "PhpGedView URL";
$pgv_lang["SERVER_URL_help"]		= "If you use https or a port other than the default, you will need to enter the URL to access your server here.<br /><br />This sets \$SERVER_URL in <i>config.php</i>.";
$pgv_lang["LOGIN_URL"]			= "Login URL";
$pgv_lang["LOGIN_URL_help"]		= "You only need to enter a Login URL if you want to redirect to a different site or location when your users login.  This is very useful if you need to switch from http to https when your users login.  Include the full URL to <i>login.php</i>.  For example, https://www.yourserver.com/phpgedview/login.php<br /><br />This sets \$LOGIN_URL in <i>config.php</i>.";
$pgv_lang["PGV_SESSION_TIME"]		= "Session timeout";
$pgv_lang["PGV_SESSION_TIME_help"]	= "The time in seconds that a PhpGedView session remains active before requiring a login.  The default is 7200, which is 2 hours.<br /><br />This sets \$PGV_SESSION_TIME in <i>config.php</i>.";
$pgv_lang["SHOW_STATS"]			= "Show execution statistics";
$pgv_lang["SHOW_STATS_help"]		= "Show runtime statistics and database queries at the bottom of every page.";
$pgv_lang["SHOW_COUNTER"]		= "Show hit counters";
$pgv_lang["SHOW_COUNTER_help"]		= "Show hit counters on Portal and Individual pages.";
$pgv_lang["USE_REGISTRATION_MODULE"]	= "Allow visitors to request account registration";
$pgv_lang["USE_REGISTRATION_MODULE_help"]	= "Gives visitors the option of registering themselves for an account on the site.<br /><br />The visitor will receive an email message with a code to verify his application for an account.  After verification, the Administrator will have to approve the registration before it becomes active.<br /><br />This sets \$USE_REGISTRATION_MODULE in <i>config.php</i>.";
$pgv_lang["ALLOW_USER_THEMES"]		= "Allow users to select their own theme";
$pgv_lang["ALLOW_USER_THEMES_help"]	= "Gives users the option of selecting their own theme.<br /><br />This sets \$ALLOW_USER_THEMES in <i>config.php</i>.";
$pgv_lang["PGV_SIMPLE_MAIL"] = "Use simple mail headers in external mails";
$pgv_lang["PGV_SIMPLE_MAIL_help"] = "In normal mail headers for external mails, the email address as well as the name are used. Some mail systems will not accept this. When set to <b>Yes</b>, only the email address will be used.<br /><br />This sets \$PGV_SIMPLE_MAIL in <i>config.php</i>.";
$pgv_lang["CREATE_GENDEX"]		= "Create Gendex files";
$pgv_lang["CREATE_GENDEX_help"]		= "Tells PhpGedView to generate Gendex files whenever a GEDCOM is imported.  Gendex files are stored in the index directory.";
$pgv_lang["gedcom_title"]			= "#pgv_lang[ged_title]#";
$pgv_lang["gedcom_title_help"]		= "Enter a descriptive title to be displayed when users are choosing among GEDCOM datasets at your site.";
$pgv_lang["LOGFILE_CREATE"]		= "Archive log files";
$pgv_lang["LOGFILE_CREATE_help"]	= "How often should the program archive log files.<br /><br />This sets \$LOGFILE_CREATE in <i>config.php</i>.";
$pgv_lang["PGV_MEMORY_LIMIT"]		= "Memory limit";
$pgv_lang["PGV_MEMORY_LIMIT_help"]	= "The maximum amount of memory that can be consumed by PhpGedView scripts.  The default is 32 Mb.  Many hosts disable this option in their PHP configuration; changing this value may not actually affect the current maximum memory setting. <br /><br />This sets \$PGV_MEMORY_LIMIT in <i>config.php</i>.";
$pgv_lang["PGV_STORE_MESSAGES"]		= "Allow messages to be stored online";
$pgv_lang["PGV_STORE_MESSAGES_help"]	= "Specifies whether messages sent through PhpGedView can be stored in the database.  If set to <b>Yes</b> users will be able to retrieve their messages when they login to PhpGedView.  If set to <b>No</b> messages will only be emailed.<br /><br />This sets \$PGV_STORE_MESSAGES in <i>config.php</i>.";
$pgv_lang["ALLOW_THEME_DROPDOWN"]		= "Display theme dropdown selector for theme changes";
$pgv_lang["ALLOW_THEME_DROPDOWN_help"]	= "Gives users the option of selecting their own theme from a menu.<br /><br />Even with this option set, the theme currently in effect may not provide for such a menu.  To be effective, this option requires the <b>#pgv_lang[ALLOW_USER_THEMES]#</b> option to be set as well.<br /><br />This sets \$ALLOW_THEME_DROPDOWN in <i><u>xxx</u>.GED_conf.php</i>.";

$pgv_lang["META_AUTHOR"]		= "Author META tag";
$pgv_lang["META_AUTHOR_help"]	= "The value to place in the Author meta tag in the HTML page header.  Leave this field empty to use the full name of the #pgv_lang[CONTACT_EMAIL]#.<br /><br />This sets \$META_AUTHOR in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["META_AUTHOR_descr"]	= "Leave this field empty to use the full name of the #pgv_lang[CONTACT_EMAIL]#.";
$pgv_lang["META_PUBLISHER"]		= "Publisher META tag";
$pgv_lang["META_PUBLISHER_help"]	= "The value to place in the Publisher meta tag in the HTML page header.  Leave this field empty to use the full name of the #pgv_lang[CONTACT_EMAIL]#.<br /><br />This sets \$META_PUBLISHER in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["META_PUBLISHER_descr"]	= "Leave this field empty to use the full name of the  #pgv_lang[CONTACT_EMAIL]#.";
$pgv_lang["META_COPYRIGHT"]		= "Copyright META tag";
$pgv_lang["META_COPYRIGHT_help"]	= "The value to place in the Copyright meta tag in the HTML page header.  Leave this field empty to use the full name of the #pgv_lang[CONTACT_EMAIL]#.<br /><br />This sets \$META_COPYRIGHT in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["META_COPYRIGHT_descr"]	= "Leave this field empty to use the full name of the  #pgv_lang[CONTACT_EMAIL]#.";
$pgv_lang["META_DESCRIPTION"]		= "Description META tag";
$pgv_lang["META_DESCRIPTION_help"]	= "The value to place in the Description meta tag in the HTML page header.  Leave this field empty to use the title of the currently active database.<br /><br />This sets \$META_DESCRIPTION in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["META_DESCRIPTION_descr"]	= "Leave this field empty to use the title of the currently active database.";
$pgv_lang["META_PAGE_TOPIC"]		= "Page-topic META tag";
$pgv_lang["META_PAGE_TOPIC_help"]	= "The value to place in the Page-topic meta tag in the HTML page header.  Leave this field empty to use the title of the currently active database.<br /><br />This sets \$META_PAGE_TOPIC in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["META_PAGE_TOPIC_descr"]	= "Leave this field empty to use the title of the currently active database.";
$pgv_lang["META_AUDIENCE"]		= "Audience META tag";
$pgv_lang["META_AUDIENCE_help"]	= "The value to place in the Audience meta tag in the HTML page header.<br /><br />This sets \$META_AUDIENCE in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["META_PAGE_TYPE"]		= "Page-type META tag";
$pgv_lang["META_PAGE_TYPE_help"]	= "The value to place in the Page-type meta tag in the HTML page header.<br /><br />This sets \$META_PAGE_TYPE in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["META_ROBOTS"]		= "Robots META tag";
$pgv_lang["META_ROBOTS_help"]	= "The value to place in the Robots meta tag in the HTML page header.  Some robots or web crawlers ignore this value.<br /><br />This sets \$META_ROBOTS in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["META_REVISIT"]		= "How often should crawlers revisit META tag";
$pgv_lang["META_REVISIT_help"]	= "The value to place in the Revisit meta tag in the HTML page header.  Some web crawlers ignore this value.<br /><br />This sets \$META_REVISIT in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["META_KEYWORDS"]		= "Keywords META tag";
$pgv_lang["META_KEYWORDS_help"]	= "The value to place in the Keywords meta tag in the HTML page header.  Some search engines will use the Keywords meta tag to help index your page.<br /><br />The #pgv_lang[common_surnames]# list that appears in the #pgv_lang[gedcom_stats]# block on your Welcome page can also be added to anything you enter here.<br /><br />This sets \$META_KEYWORDS in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["META_SURNAME_KEYWORDS"]		= "Add Most Common Surnames to Keywords META field";
$pgv_lang["META_SURNAME_KEYWORDS_help"]	= "With this option set to <b>Yes</b> the surnames from the #pgv_lang[common_surnames]# list will be added to the Keywords meta field.  This can help search engines better find your site.<br /><br />This sets \$META_SURNAME_KEYWORDS in <i><u>xxx</u>.GED_conf.php</i>.";
$pgv_lang["META_TITLE"]		= "Add to TITLE header tag";
$pgv_lang["META_TITLE_help"]	=	"Anything on this line will be added to the TITLE tag in the HTML page header after the regular page title and before the PhpGedView credit.<br /><br />This sets \$META_TITLE in <i><u>xxx</u>.GED_conf.php</i>.";

$pgv_lang["welcome_new"]			= "Welcome to your new PhpGedView website.<br /><br />Since you are seeing this page, you have successfully installed PhpGedView on your server and are ready to begin configuring it the way you want it.<br /><br />";
$pgv_lang["welcome_new_help"]		= "This Help page will guide you through the configuration process.  As you enter different fields, this window will provide you with help information about the field you are in.  You may close this window; to open it again click on one of the \"?\" question marks next to the field label.";
$pgv_lang["review_readme"]		= "You should review the <a href=\"readme.txt\" target=\"_blank\">readme.txt</a> file before continuing to configure PhpGedView.<br /><br />";
$pgv_lang["return_editconfig"]		= "You may return to this configuration at any time by pointing your browser to <i>edit_config.php</i> or by clicking the link for <b>Configuration</b> on the <b>#pgv_lang[gedcom_adm_head]#</b> page.<br />";
$pgv_lang["return_editconfig_gedcom"]	= "You may return to this configuration at any time by clicking the link <b>Edit</b> in the <b>#pgv_lang[current_gedcoms]#</b> table on the <b>#pgv_lang[gedcom_adm_head]#</b> page or by pointing your browser to </i>editconfig_gedcom.php</i>.<br />";
$pgv_lang["save_config"] 		= "Save configuration";
$pgv_lang["download_here"]		= "Click here to download file.";
$pgv_lang["download_gedconf"]		= "Download GEDCOM configuration.";
$pgv_lang["not_writable"]		= "We have detected that you configuration file is not writable by PHP.  You can use the <b>#pgv_lang[download_file]#</b> button to save your settings to a file that you can upload manually.";
$pgv_lang["download_file"]		= "Download File";
$pgv_lang["upload_to_index"]		= "Upload the file to your index directory: ";
$pgv_lang["import_sql"]			= "SQL files have been found in your index directory. Since they may have originated from the User Migration tool, you have the option to import the information into your database. Do you wish to attempt importing these files into your database now? All existing user-related information (users, news, favorites, block layouts, and messages) in your database will be lost.<br /><br />If you choose to proceed, PhpGedView will attempt to import the data. If this is not successful, you will be asked to make the first administrator account anyway.<br /><br />";

//-- edit privacy messages
$pgv_lang["edit_privacy"]			= "Edit Privacy";
$pgv_lang["edit_privacy_title"]			= "Edit GEDCOM privacy settings";
$pgv_lang["PRIV_PUBLIC"]			= "Show to public";
$pgv_lang["PRIV_USER"]				= "Show only to authenticated users";
$pgv_lang["PRIV_NONE"]				= "Show only to admin users";
$pgv_lang["PRIV_HIDE"]				= "Hide even from admin users";
$pgv_lang["save_changed_settings"]		= "Save changes";
$pgv_lang["add_new_pp_setting"]			= "Add new setting for Person Privacy";
$pgv_lang["add_new_up_setting"]			= "Add new setting for User Privacy";
$pgv_lang["add_new_gf_setting"]			= "Add new setting for Global Fact Privacy";
$pgv_lang["add_new_pf_setting"]			= "Add new setting for Person Facts Privacy";
$pgv_lang["add_new_pf_setting_indi"]		= "Add new setting for Person Facts Privacy for individuals";
$pgv_lang["add_new_pf_setting_source"]		= "Add new setting for Person Facts Privacy for sources";
$pgv_lang["privacy_indi_id"]			= "Individual - ID";
$pgv_lang["privacy_source_id"]			= "Source - ID";
$pgv_lang["privacy_indi_source"]		= "Individual / Source";
$pgv_lang["privacy_indi"]			= "Individual";
$pgv_lang["privacy_source"]			= "Source";
$pgv_lang["file_read_error"]			= "E R R O R !!! Could not read privacy file!";
$pgv_lang["edit_exist_person_privacy_settings"]	= "Edit existing settings for Person Privacy ";
$pgv_lang["edit_exist_user_privacy_settings"]	= "Edit existing settings for User Privacy";
$pgv_lang["edit_exist_global_facts_settings"]	= "Edit existing settings for Global Fact Privacy";
$pgv_lang["edit_exist_person_facts_settings"]	= "Edit existing settings for Person Facts Privacy";
$pgv_lang["general_privacy"]			= "General Privacy settings";
$pgv_lang["general_privacy_help"]		= "You can have different Privacy settings for each GEDCOM on your PhpGedView web site.  Check under the page title whether you are editing the correct GEDCOM.<br /><br />You can override these general settings by using the other Privacy forms on the #pgv_lang[edit_privacy_title]# page.<br /><br />#pgv_lang[more_config_help]#";
$pgv_lang["person_privacy"]				= "Person Privacy settings";
$pgv_lang["person_privacy_help"]		= "These settings allow administrators to override default privacy settings for a particular person in the GEDCOM.<br /><br />Suppose for example you have a child who died in infancy. Normally because the child is dead, its details would be shown to public users. However, you and everyone else in your family are still private. You don't want to remove the death record for the child but you want to hide the details and make them private. If this child had the ID of I100 you should enter the following privacy settings:<br />ID: I100<br />Show to: Show only to authenticated users<br /><br />This works the other way as well. If you wanted to make public the details of someone (ID 101) who you know to be dead but don't have a death date for, you could add the following:<br />ID: I101<br />Show to: Show to public<br /><br />This sets \$person_privacy in <i><u>xxx</u>.GED_priv.php</i>.";
$pgv_lang["user_privacy"]				= "User Privacy settings";
$pgv_lang["user_privacy_help"]			= "These settings give administrators the ability to override default privacy settings for individuals in the GEDCOM based on Username.  Suppose you don't want the Username <b>John</b> to be able to see any details of ID 100 in the GEDCOM, you could configure it like this:<br />Username: John<br />ID: I100<br />Show?: \"Hide\"<br /><br />and details for the specified individual would be hidden for the Username \"John\" only.<br /><br />To show the details of I101 (which usually would be hidden because I101 is still alive) to Username \"John\" set:<br /><br />Username: John<br />ID: I101<br />Show?: \"Show\"<br /><br />This sets \$user_privacy in <i><u>xxx</u>.GED_priv.php</i>.";
$pgv_lang["global_facts"]				= "Global Fact Privacy settings";
$pgv_lang["global_facts_help"]			= "These settings define facts on a global level that should be hidden for all individuals in the GEDCOM.<br /><ul><li>The <b>#pgv_lang[name_of_fact]#</b> element determines which fact should be hidden.</li><li>The <b>#pgv_lang[choice]#</b> element specifies the fact itself or related details.</li><li>The <b>#pgv_lang[accessible_by]#</b> element determines at what access level the fact is shown.</li></ul><br />This feature is meant to hide certain facts, identified by GEDCOM tags, for all individuals alive or dead. By default the SSN tag is hidden to public users. This is to prevent people from stealing social security numbers and committing identity theft of dead persons.  This is probably mostly relevant for the USA.<br /><br />If you wanted to hide all marriages from public users in your GEDCOM you could set:<br /><br /><b>#pgv_lang[name_of_fact]#</b> (MARR) - Marriage<br /><b>#pgv_lang[choice]#</b> \"#pgv_lang[fact_show]#\"<br /><b>#pgv_lang[accessible_by]#</b> \"#pgv_lang[PRIV_USER]#\"<br /><br /><b>#pgv_lang[name_of_fact]#</b> (MARR) - Marriage<br /><b>#pgv_lang[choice]#</b> \"#pgv_lang[fact_details]#\"<br /><b>#pgv_lang[accessible_by]#</b> \"#pgv_lang[PRIV_USER]#\"<br /><br />These settings would hide marriages and related details to everyone who wasn't an admin.<br /><br />Unlike all other settings, in <b>#pgv_lang[global_facts_settings]#</b> you can hide facts even from admin users. Unwanted facts are completely suppressed.<br /><br />This sets \$global_facts in <i><u>xxx</u>.GED_priv.php</i>.";
$pgv_lang["person_facts"]				= "Person Facts Privacy settings";
$pgv_lang["person_facts_help"]			= "These settings define facts that are hidden for a specific individual in the GEDCOM and the level at which they are hidden.<br /><br />The first element is the ID of the person, the second element is the fact.  The <b>#pgv_lang[choice]#</b> element specifies the fact itself or related details.  The <b>#pgv_lang[accessible_by]#</b> element determines at what access level the fact is shown.<br /><br />The \$person_facts array works the same as the \$global_facts array except that you also specify the GEDCOM ID of the person you want to hide facts for. You could, for example, hide the marriage record for a specific person.<br /><br />This sets \$person_facts in <i><u>xxx</u>.GED_priv.php</i>.";
$pgv_lang["accessible_by"]			= "Show to?";
$pgv_lang["hide"]				= "Hide";
$pgv_lang["show_question"]			= "Show?";
$pgv_lang["user_name"]				= "Username";
$pgv_lang["name_of_fact"]			= "Name of fact";
$pgv_lang["choice"]				= "Choice";
$pgv_lang["fact_show"]				= "Show fact";
$pgv_lang["fact_details"]			= "Show fact details";
$pgv_lang["privacy_header"]			= "Edit privacy settings";
$pgv_lang["unable_to_find_privacy_indi"]	= "Unable to find individual with id";
$pgv_lang["save_and_import"]			= "After you save this GEDCOM configuration you will need to import the GEDCOM by clicking the <b>Import GEDCOM</b> button or by going to <b>Admin->Manage GEDCOMs->Import</b>";
$pgv_lang["help_info"]				= "You can get help for each item by clicking on the red &quot;?&quot; beside the label for each cell.";
$pgv_lang["SHOW_LIVING_NAMES"]			= "Show living names";
$pgv_lang["SHOW_LIVING_NAMES_help"]		= "Should the names of living people be shown to the public?<br /><br />This sets \$SHOW_LIVING_NAMES in <i><u>xxx</u>.GED_priv.php</i>.";
$pgv_lang["SHOW_RESEARCH_LOG"]			= "Show research log";
$pgv_lang["SHOW_RESEARCH_LOG_help"]		= "What type of user can view the research log if it is installed?<br /><br />This sets \$SHOW_RESEARCH_LOG in <i><u>xxx</u>.GED_priv.php</i>.";
$pgv_lang["USE_RELATIONSHIP_PRIVACY"]		= "Use relationship privacy";
$pgv_lang["USE_RELATIONSHIP_PRIVACY_help"]	= "<b>No</b> means that authenticated users can see the details of all living people.  <b>Yes</b> means that users can only see the private information of living people they are related to.<br /><br />This sets \$USE_RELATIONSHIP_PRIVACY in <i><u>xxx</u>.GED_priv.php</i>.";
$pgv_lang["MAX_RELATION_PATH_LENGTH"]		= "Max. relation path length";
$pgv_lang["MAX_RELATION_PATH_LENGTH_help"]	= "If #pgv_lang[USE_RELATIONSHIP_PRIVACY]# is enabled, logged in users will only be able to see or edit individuals within this number of relationship steps.<br /><br />This sets \$MAX_RELATION_PATH_LENGTH in <i><u>xxx</u>.GED_priv.php</i>.";
$pgv_lang["CHECK_MARRIAGE_RELATIONS"]		= "Check marriage relations";
$pgv_lang["CHECK_MARRIAGE_RELATIONS_help"]	= "Check relationships that are related by marriage.<br /><br />This sets \$CHECK_MARRIAGE_RELATIONS in <i><u>xxx</u>.GED_priv.php</i>.";
$pgv_lang["SHOW_DEAD_PEOPLE"]			= "Show dead people";
$pgv_lang["SHOW_DEAD_PEOPLE_help"]		= "Set the privacy access level for all dead people";
$pgv_lang["select_privacyfile_button"]		= "Select privacy file";
$pgv_lang["PRIVACY_BY_YEAR"]		= "Limit Privacy by age of event";
$pgv_lang["PRIVACY_BY_YEAR_help"]	= "The <b>#pgv_lang[PRIVACY_BY_YEAR]#</b> setting will hide the details of people based on how old they were at specific events regardless of whether they are dead or alive.<br /><br />Use this setting along with the <b>#pgv_lang[MAX_ALIVE_AGE]#</b> setting.  For example, if you made the Age setting 100 and set this option to <b>Yes</b>, all persons, alive or dead, born less than 100 years ago would be set to private.  People who were married less than 85 years ago and people who died less than 75 years ago would also be marked as private.  Please note that using this option will slow down your performance somewhat.<br /><br />This sets \$PRIVACY_BY_YEAR in <i><u>xxx</u>.GED_priv.php</i>.";

//-- language edit utility
$pgv_lang["edit_langdiff"]		= "Edit and configure language files";
$pgv_lang["bom_check"]		= "Byte Order Mark (BOM) check";
$pgv_lang["bom_check_help"]		= "This check will analyze all the language files for the BOM (Byte Order Mark). If found, it will remove the BOM from the affected file. These special codes can cause malfunctions in some parts of PhpGedView.";
$pgv_lang["bom_not_found"]		= "No BOM has been found.";
$pgv_lang["bom_found"]			= "BOM has been found in ";
$pgv_lang["edit_lang_utility"]		= "Language File Edit Utility";
$pgv_lang["edit_lang_utility_help"]	= "You can use this utility to edit the contents of a language file by using the contents of the English one.<br /><br />You will see the the contents of the original English language file and the contents of the same file type (there are four of these) in your chosen language.  You click on the message text shown below the English version.  This opens a new window where you can modify the text.  You can save the changes or abandon them.";
$pgv_lang["edit_lang_utility_warning"]	= "CAUTION!<br /><br />If you use the <b>#pgv_lang[close_window_without_refresh]#</b> button, you might not see your changes on the screen until you do a manual page reload.  It's possible that your language file may be destroyed if you add a message which has not yet appeared inside the language file or if you just edit a message you have edited directly before.<br /><br />If you don't really know what you're doing, please do not use the <b>#pgv_lang[close_window_without_refresh]#</b> button.";
$pgv_lang["language_to_edit"]		= "Language to edit";
$pgv_lang["file_to_edit"]		= "Language file type to edit";
$pgv_lang["check"]			= "Check";
$pgv_lang["lang_save"]			= "Save";
$pgv_lang["contents"]			= "Contents";
$pgv_lang["listing"]			= "Listing";
$pgv_lang["no_content"]			= "No Content";
$pgv_lang["editlang"]			= "Edit";
$pgv_lang["editlang_help"]		= "Edit message from language file";
$pgv_lang["cancel"]			= "Cancel";
$pgv_lang["savelang"]			= "Save";
$pgv_lang["savelang_help"]		= "Save edited message to language file";
$pgv_lang["original_message"]		= "Original message";
$pgv_lang["message_to_edit"]		= "Message to edit";
$pgv_lang["changed_message"]		= "Changed content";
$pgv_lang["message_empty_warning"]	= "-> Warning!!! This message is empty in #LANGUAGE_FILE# <-";
$pgv_lang["language_to_export"]		= "Language to export";
$pgv_lang["export_lang_utility"]	= "Language File Export Utility";
$pgv_lang["export"]			= "Export";
$pgv_lang["export_lang_utility_help"]	= "You can create documentation for administrators.<br /><br />This utility will produce an HTML version of the Configuration Help file in the selected language.  You can use your browser to look at this file, which is formatted for printing.";
$pgv_lang["export_ok"]			= "Help messages were exported";
$pgv_lang["compare_lang_utility"]	= "Language File Comparison Utility";
$pgv_lang["compare_lang_utility_help"]	= "This utility will compare two sets of language files to produce a list of the additions and subtractions between them.<br /><br />Read also the file <a href=\"languages/LANG_CHANGELOG.txt\" target=\"_blank\">LANG_CHANGELOG.txt</a> for changes to the English version.  The English files should be used as the reference from which all others are produced.";
$pgv_lang["new_language"]		= "Source language";
$pgv_lang["old_language"]		= "Secondary language";
$pgv_lang["compare"]			= "Compare";
$pgv_lang["comparing"]			= "Language files that are compared";
$pgv_lang["additions"]			= "Additions";
$pgv_lang["no_additions"]		= "No Additions";
$pgv_lang["subtractions"]		= "Subtractions";
$pgv_lang["no_subtractions"]		= "No subtractions";
$pgv_lang["config_lang_utility"]	= "Configuration of supported languages";
$pgv_lang["config_lang_utility_help"]	= "This utility will let you edit settings specific to each supported language for use by PhpGedView.<br /><br />All of your changes will be recorded in a new file called <b>lang_settings.php</b> created in the <b>#INDEX_DIRECTORY#</b> directory.  All of your further changes will be made to this new file and PhpGedView will use only <u>this</u> file.  You can revert to the original default language settings by deleting this file.<br /><br />If you must report problems with your language settings, please tell the PhpGedView support team whether this new file is present or not.";
$pgv_lang["active"]			= "Active";
$pgv_lang["active_help"]		= "Allow users to select this language if the option <b>#pgv_lang[ENABLE_MULTI_LANGUAGE]#</b> is enabled.";
$pgv_lang["edit_settings"]		= "Edit settings";
$pgv_lang["lang_edit"]			= "Edit";
$pgv_lang["lang_language"]		= "Language";
$pgv_lang["export_filename"]		= "Output file name:";
$pgv_lang["lang_back"]			= "Return to the main menu to edit and configure language files";
$pgv_lang["lang_back_admin"]		= "Return to the Admin menu";
$pgv_lang["lang_back_manage_gedcoms"]	= "Return to the GEDCOM management menu";
$pgv_lang["lang_name_czech"]		= "Czech";
$pgv_lang["lang_name_chinese"]		= "Chinese";
$pgv_lang["lang_name_danish"]		= "Danish";
$pgv_lang["lang_name_dutch"]		= "Dutch";
$pgv_lang["lang_name_english"]		= "English";
$pgv_lang["lang_name_finnish"]		= "Finnish";
$pgv_lang["lang_name_french"]		= "French";
$pgv_lang["lang_name_german"]		= "German";
$pgv_lang["lang_name_hebrew"]		= "Hebrew";
$pgv_lang["lang_name_hungarian"]	= "Hungarian";
$pgv_lang["lang_name_italian"]		= "Italian";
$pgv_lang["lang_name_norwegian"]	= "Norwegian";
$pgv_lang["lang_name_polish"]		= "Polish";
$pgv_lang["lang_name_portuguese"]	= "Portuguese";
$pgv_lang["lang_name_portuguese-br"]	= "Portuguese (Brazil)";
$pgv_lang["lang_name_russian"]		= "Russian";
$pgv_lang["lang_name_spanish"]		= "Spanish";
$pgv_lang["lang_name_spanish-ar"]	= "Spanish (Latin America)";
$pgv_lang["lang_name_swedish"]		= "Swedish";
$pgv_lang["lang_name_turkish"]		= "Turkish";
$pgv_lang["lang_name_greek"]		= "Greek";
$pgv_lang["lang_name_arabic"]		= "Arabic";
$pgv_lang["lang_name_lithuanian"]	= "Lithuanian";
$pgv_lang["lang_new_language"]		= "New Language";
$pgv_lang["original_lang_name"]		= "Original name of language in #D_LANGNAME#";
$pgv_lang["original_lang_name_help"]	= "How is this language named in this language?<br /><br />English calls itself <b>English</b>;  German calls itself <b>Deutsch</b>;  Dutch calls itself <b>Nederlands</b>;  Czech calls itself <b>Ceština</b>, etc.";
$pgv_lang["lang_shortcut"]		= "Abbreviation for language files";
$pgv_lang["lang_shortcut_help"]		= "This code defines an abbreviation for the language name.  This abbreviation forms part of the name of each of the language files used by PhpGedView.  For example, the abbreviation used for French is <b>fr</b>, and consequently the file names for French are <i>configure_help.<b>fr</b>.php</i>, <i>countries.<b>fr</b>.php</i>, <i>facts.<b>fr</b>.php</i>, <i>help_text.<b>fr</b>.php</i>, and <i>lang.<b>fr</b>.php</i>";
$pgv_lang["lang_langcode"]		= "Language detection codes";
$pgv_lang["lang_langcode_help"]		= "These codes allow PhpGedView to detect the Preferred Language setting of the browser being used. PhpGedView determines the language actually being requested by the browser by matching the browser's language code against this list.  Individual list entries must be separated by a semicolon.";
$pgv_lang["lang_filenames"]		= "Language files";
$pgv_lang["lang_filenames_help"]		= "PhpGedView has implemented support for many different languages.  This has been achieved by keeping all text that is visible to users in files completely separate from the main program.  There is a set of five files for each supported language, and the various texts have been separated into one of these files according to function.  When a given text is not yet available in translated form, PhpGedView will use the English version.<br /><br />The files in each language set are:<br /><ul><li><b><i>configure_help.xx.php</i></b>&nbsp;&nbsp;This file contains terms, common expressions, and Help text for use during configuration of PhpGedView.  The Help text is not intended to be viewed by ordinary users.</li><br /><li><b><i>countries.xx.php</i></b>&nbsp;&nbsp;This is a list of country names, taken from the Web site of the Statistics Division, United Nations Department of Economic and Social Affairs.  This is the relevant <a href=\"http://unstats.un.org/unsd/methods/m49/m49alpha.htm\" target=_blank><b>link</b></a> to the English list.  The list is available in either English or French.</li><br /><li><b><i>facts.xx.php</i></b>&nbsp;&nbsp;This file contains the textual equivalents of the GEDCOM Fact codes found in the GEDCOM 5.5.1 Standard.  It also contains additional Fact codes not found in the Standard but used by various genealogy programs.<br /><br />An English copy of the <a href=\"http://www.phpgedview.net/ged551-5.pdf\" target=_blank><b>GEDCOM 5.5.1 Standard</b></a> can be downloaded in PDF (Portable Document Format).</li><br /><li><b><i>help_text.xx.php</i></b>&nbsp;&nbsp;This file contains Help text for ordinary users.  Some Help topics in this file address the needs of Administrators, and are hidden from users who do not have Admin rights.</li><br /><li><b><i>lang.xx.php</i></b>&nbsp;&nbsp;Many terms and common expressions are found in this file.</li></ul>";
$pgv_lang["flagsfile"]			= "Flag file";
$pgv_lang["flagsfile_help"]		= "Name and path of the national flag image file for the selected language.";
$pgv_lang["text_direction"]		= "Text direction";
$pgv_lang["text_direction_help"]	= "Identifies which direction is used to write text in the chosen language.  Most languages are written from left to right.  Arabic and Hebrew are examples of languages that are written in the opposite direction (right to left).";
$pgv_lang["date_format"]			= "Date format";
$pgv_lang["date_format_help"]		= "This field defines the date format to be used by PhpGedView when displaying dates from the database.<ul><li><b>Standard format</b><br />Symbols you can use are:<br /><b>D</b> for day<br /><b>M</b> for month<br /><b>Y</b> for year.<br /><br />You can change the order of these symbols, and you can add delimiters to the format.<br /><br />For the examples below, assume that the date in the database is 1965.08.20, which is actually recorded as <b>DATE&nbsp;20&nbsp;Aug&nbsp;1965</b>.<br /><br />The standard setting for the English date display format is <b>D&nbsp;M&nbsp;Y</b>, which produces <b>20&nbsp;August&nbsp;1965</b>.<br /><br />The German date format is usually <b>D.&nbsp;M&nbsp;Y</b>, resulting in <b>20.&nbsp;August&nbsp;1965</b> when displayed by PhpGedView.  The eighth month is called \"August\" in German.<br /><br />In Hungarian, the format normally is <b>Y.&nbsp;M&nbsp;D.</b> producing <b>1965.&nbsp;augusztus&nbsp;20.</b> when displayed by PhpGedView.  In Hungarian, month names do not have an initial capital letter, and the eighth month is called \"augusztus\".<br /><br />Another example is Finnish, which specifies the date format <b>D.&nbsp;M#ta#&nbsp;Y</b>. This definition means that in Finnish dates have <b>ta</b> added as a suffix to the actual month name.  The result would be <b>20.&nbsp;elokuuta&nbsp;1965</b> when displayed by PhpGedView.  In Finnish, month names do not have an initial capital letter, and the eighth month is called \"elokuu\".</li><br /><li><b>Alternative format to show day of week</b><br />To show the day of the week, even for very old dates, use these symols:<br /><b>d</b> - day of the month, 2 digits, leading zero; i.e. <b>01</b> to <b>31</b><br /><b>D</b> - day of the week, textual, 3 letters; e.g. <b>Fri</b><br /><b>F</b> - month, textual, long; e.g. <b>January</b><br /><b>j</b> - day of the month, no leading zeros; i.e. <b>1</b> to <b>31</b><br /><b>l</b> (lowercase \"L\") - day of the week, textual, long; e.g. <b>Friday</b><br /><b>M</b> - month, textual, 3 letters; e.g. <b>Jan</b><br /><b>Y</b> - year, 4 digits; e.g. <b>1999</b><br /><b>y</b> - year, 2 digits; e.g. <b>99</b><br /><br />For example, the date format <b>D&nbsp;j&nbsp;F&nbsp;Y</b> could result in <b>Thu&nbsp;9&nbsp;January&nbsp;1806</b> while the same date displayed according to the formula <b>l&nbsp;d&nbsp;M&nbsp;Y</b> would result in <b>Thursday&nbsp;09&nbsp;Jan&nbsp;1806</b></li></ul>";
$pgv_lang["time_format"]		= "Time format";
$pgv_lang["time_format_help"]		= "This field defines the time format to be used by PhpGedView.<br /><br />Symbols you can use are:<br /><b>a</b> - lowercase Ante meridiem and Post meridiem; i.e. <b>am</b> or <b>pm</b><br /><b>A</b> - uppercase Ante meridiem and Post meridiem; i.e. <b>AM</b> or <b>PM</b><br /><b>B</b> - Swatch Internet time; i.e. <b>000</b> through <b>999</b><br /><b>c</b> - ISO 8601 date (added in PHP 5); e.g. <b>2004-02-12T15:19:21+00:00</b><br /><b>d</b> - day of the month, 2 digits, leading zero; i.e. <b>01</b> to <b>31</b><br /><b>D</b> - day, textual, three letters; e.g. <b>Mon</b><br /><b>F</b> - month, textual, long; e.g. <b>January</b><br /><b>g</b> - hour, 12-hour format, no leading zero; i.e. <b>1</b> through <b>12</b><br /><b>G</b> - hour, 24-hour format, no leading zero; i.e. <b>0</b> through <b>23</b><br /><b>h</b> - hour, 12-hour format, leading zero; i.e. <b>01</b> through <b>12</b><br /><b>H</b> - hour, 24-hour format, leading zero; i.e. <b>00</b> through <b>23</b><br /><b>i</b> - minutes, leading zero; i.e. <b>00</b> to <b>59</b><br /><b>I</b> (capital \"i\") - daylight saving time indicator; <b>1</b> if Daylight Saving Time, <b>0</b> otherwise.<br /><b>j</b> - day of the month, no leading zero; i.e. <b>1</b> to <b>31</b><br /><b>l</b> (lowercase \"L\") - day of the week, textual, long; e.g. <b>Friday</b><br /><b>L</b> - leap year indicator; <b>1</b> if it is a leap year, <b>0</b> otherwise.<br /><b>m</b> - month, numeric, leading zero; i.e. <b>01</b> through <b>12</b><br /><b>M</b> - month, textual, 3 letters; e.g. <b>Jan</b><br /><b>n</b> - month, numeric, no leading zero; i.e. <b>1</b> through <b>12</b><br /><b>O</b> (capital \"o\") - difference between local and Greenwich time (GMT) in hours; e.g. <b>+0200</b><br /><b>r</b> - RFC 2822 formatted date; e.g. <b>Thu,&nbsp;21&nbsp;Dec&nbsp;2000nbsp;16:01:07&nbsp;+0200</b><br /><b>s</b> - seconds, leading zero; i.e. <b>00</b> through <b>59</b><br /><b>S</b> - day of the month suffix, English only, 2 characters; i.e. <b>st</b>, <b>nd</b>, <b>rd</b> or <b>th</b>. Works well with <b>j</b><br /><b>t</b> - number of days in the given month; i.e. <b>28</b> through <b>31</b><br /><b>T</b> - time zone setting of this machine; e.g. <b>CEST</b>, <b>EST</b>, <b>MDT</b><br /><b>U</b> - seconds since the start of the Unix Epoch (January&nbsp;1&nbsp;1970&nbsp;00:00:00 GMT)<br /><b>w</b> - day of the week, numeric; i.e. <b>0</b> (for Sunday) through <b>6</b> (for Saturday)<br /><b>W</b> - ISO-8601 week number of year, weeks starting on Monday; e.g. <b>42</b> (the 42nd week in the year)<br /><b>Y</b> - year, 4 digits; e.g. <b>1999</b><br /><b>y</b> - year, 2 digits; e.g. <b>99</b><br /><b>z</b> - day of year, numeric, no leading zeros; i.e. <b>0</b> (1 Jan) through <b>364</b> (31 Dec when not a leap year) or <b>365</b> (31 Dec in leap years)<br /><b>Z</b> - time zone offset in seconds.  The offset for time zones west of Greenwich is always negative, and for those east of Greenwich the offset is always positive. i.e. <b>-43200</b> through <b>43200</b><br /><br />You can change the order of these symbols, and you can add delimiters to the format.<br /><br />For example, in German this field normally contains <b>H:i:s</b> to produce a display like <b>09:01:25</b>. English usually defines the time format as <b>g:i:sa</b> to produce a display like <b>9:01:25am</b>.<br /><br />In the 24-hour system, midnight is 00:00.  In the 12-hour system, midnight is 12:00am and noon is 12:00pm.";
$pgv_lang["week_start"]			= "Week starting day";
$pgv_lang["week_start_help"]		= "The day of the week that starts a new week in this language.  Most languages start the week on Sunday, but some start on Monday or other days.";
$pgv_lang["name_reverse"]		= "Surname first";
$pgv_lang["name_reverse_help"]		= "In some languages the surname should be displayed first instead of the default to display it last.  Enabling this option will display the surname first.  Chinese and Japanese are examples where the surname (the family name) is usually given first.";
$pgv_lang["ltr"]			= "Left to right";
$pgv_lang["rtl"]			= "Right to left";
$pgv_lang["file_does_not_exist"]	= "ERROR! The file does not exist...";
$pgv_lang["alphabet_upper"]		= "Alphabet upper case";
$pgv_lang["alphabet_upper_help"]	= "Upper case alphabet letters in this language.  This alphabet is used while sorting lists of names.";
$pgv_lang["alphabet_lower"]		= "Alphabet lower case";
$pgv_lang["alphabet_lower_help"]	= "Lower case alphabet letters in this language.  This alphabet is used while sorting lists of names.";
$pgv_lang["lang_config_write_error"]	= "Error writing language settings into the file <b>lang_settings.php</b>.  Please check permissions and try again.";
$pgv_lang["lang_save_success"]		= "Changes to the #PGV_LANG# configuration saved successfully.";
$pgv_lang["translation_forum"]		= "PhpGedView Translations forum on SourceForge";
$pgv_lang["translation_forum_help"]	= "This <a href=\"http://sourceforge.net/forum/forum.php?forum_id=294245\" target=_blank><b>link</b></a> opens a new browser window.  You will be redirected to the Translations forum of PhpGedView, where you can discuss translation topics.";
$pgv_lang["system_time"]		= "Current System Time:";
$pgv_lang["gedcom_not_imported"]	= "This GEDCOM has not yet been imported.";
$pgv_lang["lang_set_file_read_error"]	= "E R R O R !!! Could not read <b>lang_settings.php</b>!";
$pgv_lang["add_new_language"]		= "Add files and settings for a new language";
$pgv_lang["add_new_language_help"]	= "You can use this utility to add a new and as yet unsupported language to PhpGedView.<br /><br />Please fill out all needed fields in the next window.  After the new files have been created, you will be able to change the messages for that language.";
$pgv_lang["add_new_lang_button"]	= "Add new language";
$pgv_lang["hide_translated"]		= "Hide translated";
$pgv_lang["lang_file_write_error"]	= "E R R O R !!!<br /><br />Could not write changes into the selected language file.  Please check Write permissions on <b>#lang_filename#</b>";
$pgv_lang["no_open"]	= "E R R O R !!!<br /><br />Cannot open file <b>#lang_filename#</b>";
$pgv_lang["never"]					= "Never";

//-- User Migration Tool messages
$pgv_lang["um_header"] = "User Information Migration tool";
$pgv_lang["um_proceed"] = "Choose an option or click the link below to return to the Administration menu<br /><br />";
$pgv_lang["um_creating"] = "Creating";
$pgv_lang["um_sql_index"] = "This tool will create <i>authenticate.php</i> and several <i>.dat</i> files in your index directory.<br /><br />After successful creation, you can switch to Index mode with all current users and their messages, favorites, news, and MyGedview layout available.<br /><br />Note: After switching to Index mode, you will need to import your GEDCOM files again.<br /><br />";
$pgv_lang["um_file_create_fail1"] = "Creation of new file failed, a file with that name already exists:";
$pgv_lang["um_file_create_fail2"] = "Cannot create";
$pgv_lang["um_file_create_fail3"] = "Check access rights on this directory.";
$pgv_lang["um_file_create_succ1"] = "Creation of new file successful:";
$pgv_lang["um_file_not_created"] = "File is not created.";
$pgv_lang["um_nomsg"] = "No Messages seem to be present in the system.";
$pgv_lang["um_nofav"] = "No Favorites seem to be present in the system.";
$pgv_lang["um_nonews"] = "No News seems to be present in the system.";
$pgv_lang["um_noblocks"] = "No Blocks seems to be present in the system.";
$pgv_lang["um_index_sql"] = "This tool will import <i>authenticate.php</i> and other <i>.dat</i> files from your index directory into your database.<br />";
$pgv_lang["um_mixedmode"] = "You are running PhpGedView in Database mode but with the Index mode authentication module.<br /><br />User data, favorites, block definitions, messages, and news are already stored in the format required by Index mode.  You can switch to Index mode now; user information migration is not necessary.<br />";
$pgv_lang["um_noaction"] = "No action is required to migrate user information to SQL mode.<br /><br />Once switched to SQL mode, you need to restart the User Migration tool to import all data into the SQL database.  PhpGedView will use existing files from Index mode.<br /><br /><b>Do <u>not</u> remove <i>authenticate.php</i> and <i>.dat</i> files from your index directory while switching.</b><br />";
$pgv_lang["um_import"] = "Import";
$pgv_lang["um_export"] = "Export";
$pgv_lang["um_explain"] = "This tool will either export user data from SQL to Index mode, or import user data from Index files into SQL tables.<br /><br />User data, favorites, block definitions, messages, and news will be available again after migration.<br /><br /><b>CAUTION</b><br />You cannot use this tool to migrate user data between different versions of PhpGedView. Be sure that the data originates from, or is imported into the same PhpGedView version.<br /><br /><b>IMPORT</b><br />If you choose to import the user data files from Index mode, all user data present in the database tables will be <u>overwritten</u>. This tool does <u>not</u> merge the information. Once you have run the Import, there is no way to retrieve the old information using PhpGedView.<br /><br /><b>EXPORT</b><br />If you export the user information from your SQL database to Index Mode files, this tool will create <i>authenticate.php</i> and several <i>.dat</i> files in your index directory. If identically named files are already present, you will be prompted if they must be overwritten. After switching to Index mode, all information will be available directly.<br /><br /><b>Note:</b> After switching to Index mode, you will need to import your GEDCOM files again.<br /><br />";
$pgv_lang["um_imp_users"] = "Importing users";
$pgv_lang["um_imp_blocks"] = "Importing blocks";
$pgv_lang["um_imp_favorites"] = "Importing favorites";
$pgv_lang["um_imp_messages"] = "Importing messages";
$pgv_lang["um_imp_news"] = "Importing news";
$pgv_lang["um_nousers"] = "File <i>authenticate.php</i> not found in your index directory. Migration is cancelled.";
$pgv_lang["um_imp_succ"] = "Import successful";
$pgv_lang["um_imp_fail"] = "Import failed";
$pgv_lang["um_backup"] = "Backup";
$pgv_lang["um_zip_succ"] = "ZIP file successfully created.";
$pgv_lang["um_zip_dl"] = "Download ZIPped backup file ";
$pgv_lang["um_bu_explain"] = "This tool can make a backup of several kinds of data in PhpGedView.<br /><br />The data you choose to back up will be gathered into a ZIP file, which you can download by clicking the link at the bottom of the page, after the backup has been successfully made.<br /><br />The ZIP file will remain in your Index directory until you remove it manually.";
$pgv_lang["um_bu_config"] = "PhpGedView Configuration File";
$pgv_lang["um_bu_gedcoms"] = "GEDCOM Files";
$pgv_lang["um_bu_gedsets"] = "GEDCOM Settings, Configuration and Privacy files";
$pgv_lang["um_bu_logs"] = "GEDCOM Counters, SearchLogs and PhpGedView Logfiles";
$pgv_lang["um_bu_usinfo"] = "User definitions, Block settings, Favorites, Messages, News";
$pgv_lang["um_mk_bu"] = "Make Backup";
$pgv_lang["um_nofiles"] = "No files found for backup.";
$pgv_lang["um_files_exist"] = "One or more files already exist. Do you want to overwrite them?";

?>